package test_support
import (
	πg "grumpy"
	π_grumpyΓlibΓsys "grumpy/lib/sys"
	π_grumpyΓlibΓunittest "grumpy/lib/unittest"
)
func initModule(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
	ßBasicTestRunner := πg.InternStr("BasicTestRunner")
	ßError := πg.InternStr("Error")
	ßException := πg.InternStr("Exception")
	ßFalse := πg.InternStr("False")
	ßNameError := πg.InternStr("NameError")
	ßNone := πg.InternStr("None")
	ßTestCase := πg.InternStr("TestCase")
	ßTestFailed := πg.InternStr("TestFailed")
	ßTestResult := πg.InternStr("TestResult")
	ßTestSuite := πg.InternStr("TestSuite")
	ßTextTestRunner := πg.InternStr("TextTestRunner")
	ßTrue := πg.InternStr("True")
	ßValueError := πg.InternStr("ValueError")
	ß__all__ := πg.InternStr("__all__")
	ß__metaclass__ := πg.InternStr("__metaclass__")
	ß__module__ := πg.InternStr("__module__")
	ß__name__ := πg.InternStr("__name__")
	ß_id := πg.InternStr("_id")
	ß_run_suite := πg.InternStr("_run_suite")
	ßaddTest := πg.InternStr("addTest")
	ßcpython_only := πg.InternStr("cpython_only")
	ßerrors := πg.InternStr("errors")
	ßfailures := πg.InternStr("failures")
	ßfindTestCases := πg.InternStr("findTestCases")
	ßhave_unicode := πg.InternStr("have_unicode")
	ßisinstance := πg.InternStr("isinstance")
	ßlen := πg.InternStr("len")
	ßmakeSuite := πg.InternStr("makeSuite")
	ßmodules := πg.InternStr("modules")
	ßobject := πg.InternStr("object")
	ßrun := πg.InternStr("run")
	ßrun_unittest := πg.InternStr("run_unittest")
	ßstdout := πg.InternStr("stdout")
	ßstr := πg.InternStr("str")
	ßsys := πg.InternStr("sys")
	ßunicode := πg.InternStr("unicode")
	ßunittest := πg.InternStr("unittest")
	ßverbose := πg.InternStr("verbose")
	ßwasSuccessful := πg.InternStr("wasSuccessful")
	var πTemp001 *πg.Object
	_ = πTemp001
	var πTemp002 []*πg.Object
	_ = πTemp002
	var πTemp003 *πg.Dict
	_ = πTemp003
	var πTemp004 *πg.Object
	_ = πTemp004
	var πTemp005 *πg.Object
	_ = πTemp005
	var πTemp006 *πg.BaseException
	_ = πTemp006
	var πTemp007 *πg.Traceback
	_ = πTemp007
	var πTemp008 bool
	_ = πTemp008
	var πTemp009 []πg.FunctionArg
	_ = πTemp009
	var πTemp010 *πg.Object
	_ = πTemp010
	var πE *πg.BaseException; _ = πE
	for ; πF.State() >= 0; πF.PopCheckpoint() {
		switch πF.State() {
		case 0:
		case 1: goto Label1
		default: panic("unexpected function state")
		}
		// line 1: """Supporting definitions for the Python regression tests."""
		πF.SetLineno(1)
		// line 11: import sys
		πF.SetLineno(11)
		if πTemp002, πE = πg.ImportModule(πF, "sys", []*πg.Code{π_grumpyΓlibΓsys.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßsys.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 16: import unittest
		πF.SetLineno(16)
		if πTemp002, πE = πg.ImportModule(πF, "unittest", []*πg.Code{π_grumpyΓlibΓunittest.Code}); πE != nil {
			continue
		}
		πTemp001 = πTemp002[0]
		if πE = πF.Globals().SetItem(πF, ßunittest.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 28: __all__ = ["Error", "TestFailed", "have_unicode", "BasicTestRunner", "run_unittest"]
		πF.SetLineno(28)
		πTemp002 = make([]*πg.Object, 5)
		πTemp002[0] = ßError.ToObject()
		πTemp002[1] = ßTestFailed.ToObject()
		πTemp002[2] = ßhave_unicode.ToObject()
		πTemp002[3] = ßBasicTestRunner.ToObject()
		πTemp002[4] = ßrun_unittest.ToObject()
		πTemp001 = πg.NewList(πTemp002...).ToObject()
		if πE = πF.Globals().SetItem(πF, ß__all__.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 47: class Error(Exception):
		πF.SetLineno(47)
		πTemp002 = make([]*πg.Object, 1)
		if πTemp005, πE = πg.ResolveGlobal(πF, ßException); πE != nil {
			continue
		}
		πTemp002[0] = πTemp005
		πTemp003 = πg.NewDict()
		if πTemp001, πE = πF.Globals().GetItem(πF, ß__name__.ToObject()); πE != nil {
			continue
		}
		if πE = πTemp003.SetItem(πF, ß__module__.ToObject(), πTemp001); πE != nil {
			continue
		}
		_, πE = πg.NewCode("Error", "third_party/stdlib/test/test_support.py", nil, 0, func(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
			πClass := πTemp003
			_ = πClass
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 48: """Base class for regression test exceptions."""
				πF.SetLineno(48)
				return nil, nil
			}
			return nil, πE
		}).Eval(πF, πF.Globals(), nil, nil)
		if πE != nil {
			return nil, πE
		}
		if πTemp004, πE = πTemp003.GetItem(πF, ß__metaclass__.ToObject()); πE != nil {
			return nil, πE
		}
		if πTemp004 == nil {
			πTemp004 = πg.TypeType.ToObject()
		}
		if πTemp005, πE = πTemp004.Call(πF, []*πg.Object{πg.NewStr("Error").ToObject(), πg.NewTuple(πTemp002...).ToObject(), πTemp003.ToObject()}, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßError.ToObject(), πTemp005); πE != nil {
			continue
		}
		// line 50: class TestFailed(Error):
		πF.SetLineno(50)
		πTemp002 = make([]*πg.Object, 1)
		if πTemp005, πE = πg.ResolveGlobal(πF, ßError); πE != nil {
			continue
		}
		πTemp002[0] = πTemp005
		πTemp003 = πg.NewDict()
		if πTemp001, πE = πF.Globals().GetItem(πF, ß__name__.ToObject()); πE != nil {
			continue
		}
		if πE = πTemp003.SetItem(πF, ß__module__.ToObject(), πTemp001); πE != nil {
			continue
		}
		_, πE = πg.NewCode("TestFailed", "third_party/stdlib/test/test_support.py", nil, 0, func(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
			πClass := πTemp003
			_ = πClass
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 51: """Test failed."""
				πF.SetLineno(51)
				return nil, nil
			}
			return nil, πE
		}).Eval(πF, πF.Globals(), nil, nil)
		if πE != nil {
			return nil, πE
		}
		if πTemp004, πE = πTemp003.GetItem(πF, ß__metaclass__.ToObject()); πE != nil {
			return nil, πE
		}
		if πTemp004 == nil {
			πTemp004 = πg.TypeType.ToObject()
		}
		if πTemp005, πE = πTemp004.Call(πF, []*πg.Object{πg.NewStr("TestFailed").ToObject(), πg.NewTuple(πTemp002...).ToObject(), πTemp003.ToObject()}, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßTestFailed.ToObject(), πTemp005); πE != nil {
			continue
		}
		// line 164: verbose = 1              # Flag set to 0 by regrtest.py
		πF.SetLineno(164)
		if πE = πF.Globals().SetItem(πF, ßverbose.ToObject(), πg.NewInt(1).ToObject()); πE != nil {
			continue
		}
		// line 562: try:
		πF.SetLineno(562)
		πF.PushCheckpoint(1)
		// line 563: unicode
		πF.SetLineno(563)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßunicode); πE != nil {
			continue
		}
		// line 564: have_unicode = True
		πF.SetLineno(564)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßTrue); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßhave_unicode.ToObject(), πTemp001); πE != nil {
			continue
		}
		πF.PopCheckpoint()
		goto Label2
	Label1:
		πTemp006, πTemp007 = πF.ExcInfo()
		if πTemp001, πE = πg.ResolveGlobal(πF, ßNameError); πE != nil {
			continue
		}
		if πTemp008, πE = πg.IsInstance(πF, πTemp006.ToObject(), πTemp001); πE != nil {
			continue
		}
		if πTemp008 {
			goto Label3
		}
		πE = πF.Raise(πTemp006.ToObject(), nil, πTemp007.ToObject())
		continue
		// line 565: except NameError:
		πF.SetLineno(565)
	Label3:
		// line 566: have_unicode = False
		πF.SetLineno(566)
		if πTemp001, πE = πg.ResolveGlobal(πF, ßFalse); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßhave_unicode.ToObject(), πTemp001); πE != nil {
			continue
		}
		πE = nil
		πF.RestoreExc(nil, nil)
		goto Label2
	Label2:
		// line 1371: class BasicTestRunner(object):
		πF.SetLineno(1371)
		πTemp002 = make([]*πg.Object, 1)
		if πTemp005, πE = πg.ResolveGlobal(πF, ßobject); πE != nil {
			continue
		}
		πTemp002[0] = πTemp005
		πTemp003 = πg.NewDict()
		if πTemp001, πE = πF.Globals().GetItem(πF, ß__name__.ToObject()); πE != nil {
			continue
		}
		if πE = πTemp003.SetItem(πF, ß__module__.ToObject(), πTemp001); πE != nil {
			continue
		}
		_, πE = πg.NewCode("BasicTestRunner", "third_party/stdlib/test/test_support.py", nil, 0, func(πF *πg.Frame, _ []*πg.Object) (*πg.Object, *πg.BaseException) {
			πClass := πTemp003
			_ = πClass
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 []πg.FunctionArg
			_ = πTemp002
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 1372: def run(self, test):
				πF.SetLineno(1372)
				πTemp002 = make([]πg.FunctionArg, 2)
				πTemp002[0] = πg.FunctionArg{Name: "self", Def: nil}
				πTemp002[1] = πg.FunctionArg{Name: "test", Def: nil}
				πTemp001 = πg.NewFunction(πg.NewCode("run", "third_party/stdlib/test/test_support.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var µself *πg.Object = πArgs[0]; _ = µself
					var µtest *πg.Object = πArgs[1]; _ = µtest
					var µresult *πg.Object = πg.UnboundLocal; _ = µresult
					var πTemp001 *πg.Object
					_ = πTemp001
					var πTemp002 *πg.Object
					_ = πTemp002
					var πTemp003 []*πg.Object
					_ = πTemp003
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 1373: result = unittest.TestResult()
						πF.SetLineno(1373)
						if πTemp001, πE = πg.ResolveGlobal(πF, ßunittest); πE != nil {
							continue
						}
						if πTemp002, πE = πg.GetAttr(πF, πTemp001, ßTestResult, nil); πE != nil {
							continue
						}
						if πTemp001, πE = πTemp002.Call(πF, nil, nil); πE != nil {
							continue
						}
						µresult = πTemp001
						// line 1374: test(result)
						πF.SetLineno(1374)
						πTemp003 = πF.MakeArgs(1)
						if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
							continue
						}
						πTemp003[0] = µresult
						if πE = πg.CheckLocal(πF, µtest, "test"); πE != nil {
							continue
						}
						if πTemp001, πE = µtest.Call(πF, πTemp003, nil); πE != nil {
							continue
						}
						πF.FreeArgs(πTemp003)
						// line 1375: return result
						πF.SetLineno(1375)
						if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
							continue
						}
						return µresult, nil
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				if πE = πClass.SetItem(πF, ßrun.ToObject(), πTemp001); πE != nil {
					continue
				}
				return nil, nil
			}
			return nil, πE
		}).Eval(πF, πF.Globals(), nil, nil)
		if πE != nil {
			return nil, πE
		}
		if πTemp004, πE = πTemp003.GetItem(πF, ß__metaclass__.ToObject()); πE != nil {
			return nil, πE
		}
		if πTemp004 == nil {
			πTemp004 = πg.TypeType.ToObject()
		}
		if πTemp005, πE = πTemp004.Call(πF, []*πg.Object{πg.NewStr("BasicTestRunner").ToObject(), πg.NewTuple(πTemp002...).ToObject(), πTemp003.ToObject()}, nil); πE != nil {
			continue
		}
		if πE = πF.Globals().SetItem(πF, ßBasicTestRunner.ToObject(), πTemp005); πE != nil {
			continue
		}
		// line 1377: def _id(obj):
		πF.SetLineno(1377)
		πTemp009 = make([]πg.FunctionArg, 1)
		πTemp009[0] = πg.FunctionArg{Name: "obj", Def: nil}
		πTemp001 = πg.NewFunction(πg.NewCode("_id", "third_party/stdlib/test/test_support.py", πTemp009, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µobj *πg.Object = πArgs[0]; _ = µobj
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 1378: return obj
				πF.SetLineno(1378)
				if πE = πg.CheckLocal(πF, µobj, "obj"); πE != nil {
					continue
				}
				return µobj, nil
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ß_id.ToObject(), πTemp001); πE != nil {
			continue
		}
		// line 1388: def cpython_only(test):
		πF.SetLineno(1388)
		πTemp009 = make([]πg.FunctionArg, 1)
		πTemp009[0] = πg.FunctionArg{Name: "test", Def: nil}
		πTemp004 = πg.NewFunction(πg.NewCode("cpython_only", "third_party/stdlib/test/test_support.py", πTemp009, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µtest *πg.Object = πArgs[0]; _ = µtest
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 []πg.FunctionArg
			_ = πTemp002
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 1389: return lambda: None
				πF.SetLineno(1389)
				πTemp002 = make([]πg.FunctionArg, 0)
				πTemp001 = πg.NewFunction(πg.NewCode("<lambda>", "third_party/stdlib/test/test_support.py", πTemp002, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
					var πTemp001 *πg.Object
					_ = πTemp001
					var πE *πg.BaseException; _ = πE
					for ; πF.State() >= 0; πF.PopCheckpoint() {
						switch πF.State() {
						case 0:
						default: panic("unexpected function state")
						}
						// line 1389: return lambda: None
						πF.SetLineno(1389)
						if πTemp001, πE = πg.ResolveGlobal(πF, ßNone); πE != nil {
							continue
						}
						return πTemp001, nil
						return nil, nil
					}
					return nil, πE
				}), πF.Globals()).ToObject()
				return πTemp001, nil
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßcpython_only.ToObject(), πTemp004); πE != nil {
			continue
		}
		// line 1432: def _run_suite(suite):
		πF.SetLineno(1432)
		πTemp009 = make([]πg.FunctionArg, 1)
		πTemp009[0] = πg.FunctionArg{Name: "suite", Def: nil}
		πTemp005 = πg.NewFunction(πg.NewCode("_run_suite", "third_party/stdlib/test/test_support.py", πTemp009, 0, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µsuite *πg.Object = πArgs[0]; _ = µsuite
			var µrunner *πg.Object = πg.UnboundLocal; _ = µrunner
			var µresult *πg.Object = πg.UnboundLocal; _ = µresult
			var µerr *πg.Object = πg.UnboundLocal; _ = µerr
			var πTemp001 *πg.Object
			_ = πTemp001
			var πTemp002 bool
			_ = πTemp002
			var πTemp003 []*πg.Object
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 πg.KWArgs
			_ = πTemp005
			var πTemp006 *πg.Object
			_ = πTemp006
			var πTemp007 *πg.Object
			_ = πTemp007
			var πTemp008 bool
			_ = πTemp008
			var πTemp009 *πg.Object
			_ = πTemp009
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 1433: """Run tests from a unittest.TestSuite-derived class."""
				πF.SetLineno(1433)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßverbose); πE != nil {
					continue
				}
				if πTemp002, πE = πg.IsTrue(πF, πTemp001); πE != nil {
					return nil, πE
				}
				if πTemp002 {
					goto Label1
				}
				goto Label2
				// line 1434: if verbose:
				πF.SetLineno(1434)
			Label1:
				// line 1435: runner = unittest.TextTestRunner(sys.stdout, verbosity=2)
				πF.SetLineno(1435)
				πTemp003 = πF.MakeArgs(1)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßstdout, nil); πE != nil {
					continue
				}
				πTemp003[0] = πTemp004
				πTemp005 = πg.KWArgs{
					{"verbosity", πg.NewInt(2).ToObject()},
				}
				if πTemp001, πE = πg.ResolveGlobal(πF, ßunittest); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, πTemp001, ßTextTestRunner, nil); πE != nil {
					continue
				}
				if πTemp001, πE = πTemp004.Call(πF, πTemp003, πTemp005); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp003)
				µrunner = πTemp001
				goto Label3
			Label2:
				// line 1437: runner = BasicTestRunner()
				πF.SetLineno(1437)
				if πTemp001, πE = πg.ResolveGlobal(πF, ßBasicTestRunner); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, nil, nil); πE != nil {
					continue
				}
				µrunner = πTemp004
				goto Label3
			Label3:
				// line 1439: result = runner.run(suite)
				πF.SetLineno(1439)
				πTemp003 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µsuite, "suite"); πE != nil {
					continue
				}
				πTemp003[0] = µsuite
				if πE = πg.CheckLocal(πF, µrunner, "runner"); πE != nil {
					continue
				}
				if πTemp001, πE = πg.GetAttr(πF, µrunner, ßrun, nil); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, πTemp003, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp003)
				µresult = πTemp004
				if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, µresult, ßwasSuccessful, nil); πE != nil {
					continue
				}
				if πTemp006, πE = πTemp004.Call(πF, nil, nil); πE != nil {
					continue
				}
				if πTemp002, πE = πg.IsTrue(πF, πTemp006); πE != nil {
					continue
				}
				πTemp001 = πg.GetBool(!πTemp002).ToObject()
				if πTemp002, πE = πg.IsTrue(πF, πTemp001); πE != nil {
					return nil, πE
				}
				if πTemp002 {
					goto Label4
				}
				goto Label5
				// line 1440: if not result.wasSuccessful():
				πF.SetLineno(1440)
			Label4:
				πTemp003 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
					continue
				}
				if πTemp006, πE = πg.GetAttr(πF, µresult, ßerrors, nil); πE != nil {
					continue
				}
				πTemp003[0] = πTemp006
				if πTemp006, πE = πg.ResolveGlobal(πF, ßlen); πE != nil {
					continue
				}
				if πTemp007, πE = πTemp006.Call(πF, πTemp003, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp003)
				if πTemp004, πE = πg.Eq(πF, πTemp007, πg.NewInt(1).ToObject()); πE != nil {
					continue
				}
				πTemp001 = πTemp004
				if πTemp002, πE = πg.IsTrue(πF, πTemp001); πE != nil {
					continue
				}
				if !πTemp002 {
					goto Label6
				}
				if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
					continue
				}
				if πTemp006, πE = πg.GetAttr(πF, µresult, ßfailures, nil); πE != nil {
					continue
				}
				if πTemp008, πE = πg.IsTrue(πF, πTemp006); πE != nil {
					continue
				}
				πTemp004 = πg.GetBool(!πTemp008).ToObject()
				πTemp001 = πTemp004
			Label6:
				if πTemp002, πE = πg.IsTrue(πF, πTemp001); πE != nil {
					return nil, πE
				}
				if πTemp002 {
					goto Label7
				}
				πTemp003 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
					continue
				}
				if πTemp006, πE = πg.GetAttr(πF, µresult, ßfailures, nil); πE != nil {
					continue
				}
				πTemp003[0] = πTemp006
				if πTemp006, πE = πg.ResolveGlobal(πF, ßlen); πE != nil {
					continue
				}
				if πTemp007, πE = πTemp006.Call(πF, πTemp003, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp003)
				if πTemp004, πE = πg.Eq(πF, πTemp007, πg.NewInt(1).ToObject()); πE != nil {
					continue
				}
				πTemp001 = πTemp004
				if πTemp002, πE = πg.IsTrue(πF, πTemp001); πE != nil {
					continue
				}
				if !πTemp002 {
					goto Label8
				}
				if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
					continue
				}
				if πTemp006, πE = πg.GetAttr(πF, µresult, ßerrors, nil); πE != nil {
					continue
				}
				if πTemp008, πE = πg.IsTrue(πF, πTemp006); πE != nil {
					continue
				}
				πTemp004 = πg.GetBool(!πTemp008).ToObject()
				πTemp001 = πTemp004
			Label8:
				if πTemp002, πE = πg.IsTrue(πF, πTemp001); πE != nil {
					return nil, πE
				}
				if πTemp002 {
					goto Label9
				}
				goto Label10
				// line 1441: if len(result.errors) == 1 and not result.failures:
				πF.SetLineno(1441)
			Label7:
				// line 1442: err = result.errors[0][1]
				πF.SetLineno(1442)
				πTemp001 = πg.NewInt(1).ToObject()
				πTemp006 = πg.NewInt(0).ToObject()
				if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
					continue
				}
				if πTemp009, πE = πg.GetAttr(πF, µresult, ßerrors, nil); πE != nil {
					continue
				}
				if πTemp007, πE = πg.GetItem(πF, πTemp009, πTemp006); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetItem(πF, πTemp007, πTemp001); πE != nil {
					continue
				}
				µerr = πTemp004
				goto Label11
				// line 1443: elif len(result.failures) == 1 and not result.errors:
				πF.SetLineno(1443)
			Label9:
				// line 1444: err = result.failures[0][1]
				πF.SetLineno(1444)
				πTemp001 = πg.NewInt(1).ToObject()
				πTemp006 = πg.NewInt(0).ToObject()
				if πE = πg.CheckLocal(πF, µresult, "result"); πE != nil {
					continue
				}
				if πTemp009, πE = πg.GetAttr(πF, µresult, ßfailures, nil); πE != nil {
					continue
				}
				if πTemp007, πE = πg.GetItem(πF, πTemp009, πTemp006); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetItem(πF, πTemp007, πTemp001); πE != nil {
					continue
				}
				µerr = πTemp004
				goto Label11
			Label10:
				// line 1446: err = "multiple errors occurred"
				πF.SetLineno(1446)
				µerr = πg.NewStr("multiple errors occurred").ToObject()
				if πTemp004, πE = πg.ResolveGlobal(πF, ßverbose); πE != nil {
					continue
				}
				if πTemp002, πE = πg.IsTrue(πF, πTemp004); πE != nil {
					continue
				}
				πTemp001 = πg.GetBool(!πTemp002).ToObject()
				if πTemp002, πE = πg.IsTrue(πF, πTemp001); πE != nil {
					return nil, πE
				}
				if πTemp002 {
					goto Label12
				}
				goto Label13
				// line 1447: if not verbose:
				πF.SetLineno(1447)
			Label12:
				// line 1448: err += "; run in verbose mode for details"
				πF.SetLineno(1448)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				if πTemp001, πE = πg.IAdd(πF, µerr, πg.NewStr("; run in verbose mode for details").ToObject()); πE != nil {
					continue
				}
				µerr = πTemp001
				goto Label13
			Label13:
				goto Label11
			Label11:
				πTemp003 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µerr, "err"); πE != nil {
					continue
				}
				πTemp003[0] = µerr
				if πTemp001, πE = πg.ResolveGlobal(πF, ßTestFailed); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp001.Call(πF, πTemp003, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp003)
				// line 1449: raise TestFailed(err)
				πF.SetLineno(1449)
				πE = πF.Raise(πTemp004, nil, nil)
				continue
				goto Label5
			Label5:
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ß_run_suite.ToObject(), πTemp005); πE != nil {
			continue
		}
		// line 1452: def run_unittest(*classes):
		πF.SetLineno(1452)
		πTemp009 = make([]πg.FunctionArg, 0)
		πTemp010 = πg.NewFunction(πg.NewCode("run_unittest", "third_party/stdlib/test/test_support.py", πTemp009, πg.CodeFlagVarArg, func(πF *πg.Frame, πArgs []*πg.Object) (*πg.Object, *πg.BaseException) {
			var µclasses *πg.Object = πArgs[0]; _ = µclasses
			var µvalid_types *πg.Object = πg.UnboundLocal; _ = µvalid_types
			var µsuite *πg.Object = πg.UnboundLocal; _ = µsuite
			var µcls *πg.Object = πg.UnboundLocal; _ = µcls
			var πTemp001 []*πg.Object
			_ = πTemp001
			var πTemp002 *πg.Object
			_ = πTemp002
			var πTemp003 *πg.Object
			_ = πTemp003
			var πTemp004 *πg.Object
			_ = πTemp004
			var πTemp005 *πg.Object
			_ = πTemp005
			var πTemp006 bool
			_ = πTemp006
			var πTemp007 *πg.Object
			_ = πTemp007
			var πTemp008 []*πg.Object
			_ = πTemp008
			var πTemp009 *πg.Object
			_ = πTemp009
			var πE *πg.BaseException; _ = πE
			for ; πF.State() >= 0; πF.PopCheckpoint() {
				switch πF.State() {
				case 0:
				default: panic("unexpected function state")
				}
				// line 1453: """Run tests from unittest.TestCase-derived classes."""
				πF.SetLineno(1453)
				// line 1454: valid_types = (unittest.TestSuite, unittest.TestCase)
				πF.SetLineno(1454)
				πTemp001 = make([]*πg.Object, 2)
				if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTestSuite, nil); πE != nil {
					continue
				}
				πTemp001[0] = πTemp003
				if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTestCase, nil); πE != nil {
					continue
				}
				πTemp001[1] = πTemp003
				πTemp002 = πg.NewTuple(πTemp001...).ToObject()
				µvalid_types = πTemp002
				// line 1455: suite = unittest.TestSuite()
				πF.SetLineno(1455)
				if πTemp002, πE = πg.ResolveGlobal(πF, ßunittest); πE != nil {
					continue
				}
				if πTemp003, πE = πg.GetAttr(πF, πTemp002, ßTestSuite, nil); πE != nil {
					continue
				}
				if πTemp002, πE = πTemp003.Call(πF, nil, nil); πE != nil {
					continue
				}
				µsuite = πTemp002
				// line 1456: for cls in classes:
				πF.SetLineno(1456)
				if πE = πg.CheckLocal(πF, µclasses, "classes"); πE != nil {
					continue
				}
				if πTemp002, πE = πg.Iter(πF, µclasses); πE != nil {
					continue
				}
			Label1:
				if πTemp003, πE = πg.Next(πF, πTemp002); πE != nil {
					isStop, exc := πg.IsInstance(πF, πE.ToObject(), πg.StopIterationType.ToObject())
					if exc != nil {
						πE = exc
						continue
					}
					if !isStop {
						continue
					}
					πE = nil
					πF.RestoreExc(nil, nil)
					goto Label2
				}
				µcls = πTemp003
				πTemp001 = πF.MakeArgs(2)
				if πE = πg.CheckLocal(πF, µcls, "cls"); πE != nil {
					continue
				}
				πTemp001[0] = µcls
				if πTemp004, πE = πg.ResolveGlobal(πF, ßstr); πE != nil {
					continue
				}
				πTemp001[1] = πTemp004
				if πTemp004, πE = πg.ResolveGlobal(πF, ßisinstance); πE != nil {
					continue
				}
				if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				if πTemp006, πE = πg.IsTrue(πF, πTemp005); πE != nil {
					return nil, πE
				}
				if πTemp006 {
					goto Label3
				}
				πTemp001 = πF.MakeArgs(2)
				if πE = πg.CheckLocal(πF, µcls, "cls"); πE != nil {
					continue
				}
				πTemp001[0] = µcls
				if πE = πg.CheckLocal(πF, µvalid_types, "valid_types"); πE != nil {
					continue
				}
				πTemp001[1] = µvalid_types
				if πTemp004, πE = πg.ResolveGlobal(πF, ßisinstance); πE != nil {
					continue
				}
				if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				if πTemp006, πE = πg.IsTrue(πF, πTemp005); πE != nil {
					return nil, πE
				}
				if πTemp006 {
					goto Label4
				}
				goto Label5
				// line 1457: if isinstance(cls, str):
				πF.SetLineno(1457)
			Label3:
				if πE = πg.CheckLocal(πF, µcls, "cls"); πE != nil {
					continue
				}
				if πTemp005, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp007, πE = πg.GetAttr(πF, πTemp005, ßmodules, nil); πE != nil {
					continue
				}
				if πTemp006, πE = πg.Contains(πF, πTemp007, µcls); πE != nil {
					continue
				}
				πTemp004 = πg.GetBool(πTemp006).ToObject()
				if πTemp006, πE = πg.IsTrue(πF, πTemp004); πE != nil {
					return nil, πE
				}
				if πTemp006 {
					goto Label7
				}
				goto Label8
				// line 1458: if cls in sys.modules:
				πF.SetLineno(1458)
			Label7:
				// line 1459: suite.addTest(unittest.findTestCases(sys.modules[cls]))
				πF.SetLineno(1459)
				πTemp001 = πF.MakeArgs(1)
				πTemp008 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µcls, "cls"); πE != nil {
					continue
				}
				πTemp004 = µcls
				if πTemp007, πE = πg.ResolveGlobal(πF, ßsys); πE != nil {
					continue
				}
				if πTemp009, πE = πg.GetAttr(πF, πTemp007, ßmodules, nil); πE != nil {
					continue
				}
				if πTemp005, πE = πg.GetItem(πF, πTemp009, πTemp004); πE != nil {
					continue
				}
				πTemp008[0] = πTemp005
				if πTemp004, πE = πg.ResolveGlobal(πF, ßunittest); πE != nil {
					continue
				}
				if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßfindTestCases, nil); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp005.Call(πF, πTemp008, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp008)
				πTemp001[0] = πTemp004
				if πE = πg.CheckLocal(πF, µsuite, "suite"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, µsuite, ßaddTest, nil); πE != nil {
					continue
				}
				if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				goto Label9
			Label8:
				πTemp001 = πF.MakeArgs(1)
				πTemp001[0] = πg.NewStr("str arguments must be keys in sys.modules").ToObject()
				if πTemp004, πE = πg.ResolveGlobal(πF, ßValueError); πE != nil {
					continue
				}
				if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				// line 1461: raise ValueError("str arguments must be keys in sys.modules")
				πF.SetLineno(1461)
				πE = πF.Raise(πTemp005, nil, nil)
				continue
				goto Label9
			Label9:
				goto Label6
				// line 1462: elif isinstance(cls, valid_types):
				πF.SetLineno(1462)
			Label4:
				// line 1463: suite.addTest(cls)
				πF.SetLineno(1463)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µcls, "cls"); πE != nil {
					continue
				}
				πTemp001[0] = µcls
				if πE = πg.CheckLocal(πF, µsuite, "suite"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, µsuite, ßaddTest, nil); πE != nil {
					continue
				}
				if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				goto Label6
			Label5:
				// line 1465: suite.addTest(unittest.makeSuite(cls))
				πF.SetLineno(1465)
				πTemp001 = πF.MakeArgs(1)
				πTemp008 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µcls, "cls"); πE != nil {
					continue
				}
				πTemp008[0] = µcls
				if πTemp004, πE = πg.ResolveGlobal(πF, ßunittest); πE != nil {
					continue
				}
				if πTemp005, πE = πg.GetAttr(πF, πTemp004, ßmakeSuite, nil); πE != nil {
					continue
				}
				if πTemp004, πE = πTemp005.Call(πF, πTemp008, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp008)
				πTemp001[0] = πTemp004
				if πE = πg.CheckLocal(πF, µsuite, "suite"); πE != nil {
					continue
				}
				if πTemp004, πE = πg.GetAttr(πF, µsuite, ßaddTest, nil); πE != nil {
					continue
				}
				if πTemp005, πE = πTemp004.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				goto Label6
			Label6:
				goto Label1
				goto Label2
			Label2:
				// line 1466: _run_suite(suite)
				πF.SetLineno(1466)
				πTemp001 = πF.MakeArgs(1)
				if πE = πg.CheckLocal(πF, µsuite, "suite"); πE != nil {
					continue
				}
				πTemp001[0] = µsuite
				if πTemp002, πE = πg.ResolveGlobal(πF, ß_run_suite); πE != nil {
					continue
				}
				if πTemp003, πE = πTemp002.Call(πF, πTemp001, nil); πE != nil {
					continue
				}
				πF.FreeArgs(πTemp001)
				return nil, nil
			}
			return nil, πE
		}), πF.Globals()).ToObject()
		if πE = πF.Globals().SetItem(πF, ßrun_unittest.ToObject(), πTemp010); πE != nil {
			continue
		}
		return nil, nil
	}
	return nil, πE
}
var Code *πg.Code
func init() {
	Code = πg.NewCode("<module>", "third_party/stdlib/test/test_support.py", nil, 0, initModule)
}
